\name{checkDataObject}
\alias{checkDataObject}
\title{Check a data object for compatibility with differential expression functions}
\usage{
  checkDataObject(data.obj)
}
\arguments{
  \item{data.obj}{A list containing data and condition
  information, for example an object generated by the
  \code{\link{generateSyntheticData}} function.}
}
\description{
  Check if an object (a list) contains the necessary
  entries for applying the differential expression
  functions provided within the \code{compcodeR} package (a
  count matrix, an annotation giving the condition of each
  sample and a data set name).
}
\examples{
mydata.obj <- generateSyntheticData(dataset = "mydata", n.vars = 12500,
                                    samples.per.cond = 5, n.diffexp = 1250,
                                    output.file = "mydata.rds")
checkDataObject(mydata.obj)
}
\author{
  Charlotte Soneson
}

